Bug 22220 - Error in ReWriteRule for 'bib' in apache-shared-intranet.conf
Summary: Error in ReWriteRule for 'bib' in apache-shared-intranet.conf
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-28 21:08 UTC by Nick Clemens
Modified: 2020-02-13 16:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 22220: Fix bib Apache rewrite rule for intranet (2.25 KB, patch)
2020-01-16 14:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22220: Fix bib Apache rewrite rule for intranet (2.27 KB, patch)
2020-01-16 15:41 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-01-28 21:08:22 UTC
To recreate:
1 - visit https://localhost:8081/bib/1
   or any valid biblionumber
2 - 404 not found error
Comment 1 Marcel de Rooy 2020-01-16 14:43:35 UTC
Created attachment 97444 [details] [review]
Bug 22220: Fix bib Apache rewrite rule for intranet

Trivial change. Speaks for itself.
Since koha/detail.pl does not exist, we cannot break things ;)

Test plan:
[1] Copy the change in apache-shared-intranet.conf to your actual
    apache configuration. Probably in /etc/koha/.
[2] Restart Apache.
[3] Try a biblionumber say 123 on intranet with [your_staff_client]/bib/123.
    Does the detail page come up?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2020-01-16 14:44:06 UTC
Trivial patch, promoting to SO.
Nick: could you test/QA ?
Comment 3 Nick Clemens 2020-01-16 15:41:25 UTC
Created attachment 97452 [details] [review]
Bug 22220: Fix bib Apache rewrite rule for intranet

Trivial change. Speaks for itself.
Since koha/detail.pl does not exist, we cannot break things ;)

Test plan:
[1] Copy the change in apache-shared-intranet.conf to your actual
    apache configuration. Probably in /etc/koha/.
[2] Restart Apache.
[3] Try a biblionumber say 123 on intranet with [your_staff_client]/bib/123.
    Does the detail page come up?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2020-01-16 15:42:23 UTC
Worked beautifully, once i figured out how to test in a gitified install ;-)

Hint: Copy the changed line to:
/etc/koha/apache-shared-intranet-git.conf
Comment 5 Marcel de Rooy 2020-01-17 06:29:42 UTC
(In reply to Nick Clemens from comment #4)
> Worked beautifully, once i figured out how to test in a gitified install ;-)
> 
> Hint: Copy the changed line to:
> /etc/koha/apache-shared-intranet-git.conf

Thanks!
Comment 6 Martin Renvoize 2020-01-20 14:04:22 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-01-31 23:26:24 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 8 Lucas Gass 2020-02-13 16:12:17 UTC
backported to 19.05.x for 19.05.08